QwtPolarCanvas(3)

NAME
QwtPolarCanvas - Canvas of a QwtPolarPlot.

SYNOPSIS

#include <qwt_polar_canvas.h>

Inherits QFrame.

  Public Types
enum PaintAttribute { BackingStore = 0x01 }
Paint attributes.
typedef QFlags< PaintAttribute > PaintAttributes

  Public Member Functions
QwtPolarCanvas (QwtPolarPlot *)
Constructor.
virtual ~QwtPolarCanvas ()
Destructor.
QwtPolarPlot * plot ()
const QwtPolarPlot * plot () const
void setPaintAttribute (PaintAttribute, bool on=true)
Changing the paint attributes.
bool testPaintAttribute (PaintAttribute) const
const QPixmap * backingStore () const
void invalidateBackingStore ()
Invalidate the internal backing store.
QwtPointPolar invTransform (const QPoint &) const
QPoint transform (const QwtPointPolar &) const

  Protected Member Functions
virtual void paintEvent (QPaintEvent *) override
virtual void resizeEvent (QResizeEvent *) override

Detailed Description

Canvas of a QwtPolarPlot. The canvas is the widget, where all polar items are painted to.

Note
    In opposite to QwtPlot all axes are painted on the canvas.

See also
    QwtPolarPlot

Definition at line 27 of file qwt_polar_canvas.h.

Member Typedef Documentation

  typedef QFlags<PaintAttribute > QwtPolarCanvas::PaintAttributes
An ORed combination of PaintAttribute values.

Definition at line 50 of file qwt_polar_canvas.h.

Member Enumeration Documentation

  enum QwtPolarCanvas::PaintAttribute

Paint attributes. The default setting enables BackingStore

See also
    setPaintAttribute(), testPaintAttribute(), backingStore()

Enumerator

BackingStore
    Paint double buffered and reuse the content of the pixmap buffer for some spontaneous repaints that happen when a plot gets unhidden, deiconified or changes the focus.

Definition at line 40 of file qwt_polar_canvas.h.

Member Function Documentation

  const QPixmap * QwtPolarCanvas::backingStore () const

Returns
    Backing store, might be null

Definition at line 170 of file qwt_polar_canvas.cpp.

  QwtPointPolar QwtPolarCanvas::invTransform (const QPoint & pos) const
Translate a point from widget into plot coordinates

Parameters
    pos Point in widget coordinates of the plot canvas

Returns
    Point in plot coordinates

See also
    transform()

Definition at line 267 of file qwt_polar_canvas.cpp.

  void QwtPolarCanvas::paintEvent (QPaintEvent * event) [override], [protected], [virtual]
Paint event

Parameters
    event Paint event

Definition at line 186 of file qwt_polar_canvas.cpp.

  QwtPolarPlot * QwtPolarCanvas::plot ()

Returns
    Parent plot widget

Definition at line 97 of file qwt_polar_canvas.cpp.

  const QwtPolarPlot * QwtPolarCanvas::plot () const

Returns
    Parent plot widget

Definition at line 103 of file qwt_polar_canvas.cpp.

  void QwtPolarCanvas::resizeEvent (QResizeEvent * event) [override], [protected], [virtual]
Resize event

Parameters
    event Resize event

Definition at line 251 of file qwt_polar_canvas.cpp.

  void QwtPolarCanvas::setPaintAttribute (PaintAttribute attribute, bool on = true)

Changing the paint attributes.

Parameters
    attribute Paint attribute
    on On/Off

The default setting enables BackingStore

See also
    testPaintAttribute(), paintCache()

Definition at line 118 of file qwt_polar_canvas.cpp.

  bool QwtPolarCanvas::testPaintAttribute (PaintAttribute attribute) const
Test whether a paint attribute is enabled

Parameters
    attribute Paint attribute

Returns
    true if the attribute is enabled

See also
    setPaintAttribute()

Definition at line 164 of file qwt_polar_canvas.cpp.

  QPoint QwtPolarCanvas::transform (const QwtPointPolar & polarPos) const
Translate a point from plot into widget coordinates

Parameters
    polarPos Point in plot coordinates

Returns
    Point in widget coordinates

See also
    transform()

Definition at line 310 of file qwt_polar_canvas.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.